Bug 165329 - Review Request: roundup
Review Request: roundup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
http://roundup.sourceforge.net
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-07 22:07 EDT by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-17 19:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2005-08-07 22:07:58 EDT
Spec Name or Url: http://flyn.org/SRPMS/roundup.spec
SRPM Name or Url: http://flyn.org/SRPMS/roundup-0.8.4-1.src.rpm
Description: Roundup is a simple and flexible issue-tracking system with command line, web and email interfaces.  It is based on the winning design from Ka-Ping Yee in the Software Carpentry "Track" design competition.
Comment 1 Aurelien Bompard 2005-08-10 04:35:36 EDT
- You can use http://dl.sourceforge.net/roundup/roundup-%{version}.tar.gz in the
URL tag, so it can be wget'ed directly
- insead of $RPM_SOURCE_DIR/roundup.conf you should use %{SOURCE1}, same thing
for %{SOURCE2} (which I would rename in roundup.init, but do as you want)
- please use the -p switch of install to preserve timestamps
- I'm not sure you can hardcode UID 58 for your roundup user. It could be used
already on some system. Just remove it, the -r switch will create a system
account anyway (100 < UID < 500)
- scriptlets should never echo anything. It could crash some frontends, or
simply be ignored by frontends. So:
  - Make sure everything goes to /dev/null with : > /dev/null 2>&1 (e.g. for
roundup-admin).
  - Don't echo things, write a README.Fedora instead
- don't delete your user on %postun, since the UID could change if the package
is reinstalled and the files will be unowned.
- you may want to stop the service only on erase, not on upgrade. See this page
: http://fedoraproject.org/wiki/ScriptletSnippets for more info dealing with
initscripts.
- you can use %{_initrddir} instead of %{_sysconfdir}/rc.d/init.d (yes, the name
is misleading, but it's the same)
- you can use disttag if you want to.
Comment 2 Aurelien Bompard 2005-08-10 04:42:10 EDT
- one more thing : if you want to test for the presence of the /var/lib/roundup
directory, it's the -d switch, not -f.
Comment 3 W. Michael Petullo 2005-08-11 20:13:43 EDT
Spec Name or Url: http://flyn.org/SRPMS/roundup.spec
SRPM Name or Url: http://flyn.org/SRPMS/roundup-0.8.4-2.src.rpm
Description: Roundup is a simple and flexible issue-tracking system with command
line, web and email interfaces.  It is based on the winning design from Ka-Ping
Yee in the Software Carpentry "Track" design competition.
Comment 4 W. Michael Petullo 2005-08-14 15:55:24 EDT
This version finishes implementing Aurelien's recommendations by fixing the use
of useradd.

Spec Name or Url: http://flyn.org/SRPMS/roundup.spec
SRPM Name or Url: http://flyn.org/SRPMS/roundup-0.8.4-3.src.rpm
Description: Roundup is a simple and flexible issue-tracking system with command
line, web and email interfaces.  It is based on the winning design from Ka-Ping
Yee in the Software Carpentry "Track" design competition.
Comment 5 W. Michael Petullo 2005-08-21 16:07:14 EDT
Bug #166451 proposes a SELinux policy for this Roundup package.
Comment 6 Aurelien Bompard 2005-09-04 07:45:50 EDT
* The summary is too long, please change it to "Simple and flexible
issue-tracking system"
* The roundup service is enabled by default. We usually don't do that with
network-listening daemons, please change the "345" to "-" at the top of the init
script.
* man pages are placed in /usr/man instead of /usr/share/man
* The lang file are not tagged properly, please use the %{find_lang} macro
(those two points will prevent from using INSTALLED_FILES, sorry...)
* the package should contain the text of the license (COPYING.txt)
* %{_initrddir}/roundup should be tagged as %config(noreplace) because of the
port setting
* you could support condrestart in scriptlets:
  %post
    if [ "$1" -ge "1" ]; then
        /sbin/service <script> condrestart >/dev/null 2>&1
    fi
Comment 7 W. Michael Petullo 2005-09-04 15:59:01 EDT
This version implements Aurelien's new recommendations.

Spec Name or Url: http://flyn.org/SRPMS/roundup.spec
SRPM Name or Url: http://flyn.org/SRPMS/roundup-0.8.4-4.src.rpm
Description: Roundup is a simple and flexible issue-tracking system with command
line, web and email interfaces.  It is based on the winning design from Ka-Ping
Yee in the Software Carpentry "Track" design competition.
Comment 8 Aurelien Bompard 2005-09-04 17:35:32 EDT
- the service is still enabled by default. At the top of the init script, you
have to change the line:
  # chkconfig: 345 95 5
to :
  # chkconfig: - 95 5

- while you're at it, you may want to change "%{_mandir}/*" to
"%{_mandir}/man1/*", or your package will own a standard dir (which is not
really a problem, but it would make our friend rpmlint happier)

Everything else looks fine.
Comment 9 W. Michael Petullo 2005-09-04 19:29:54 EDT
This time I really fixed the chkconfig: line.

Spec Name or Url: http://flyn.org/SRPMS/roundup.spec
SRPM Name or Url: http://flyn.org/SRPMS/roundup-0.8.4-5.src.rpm
Description: Roundup is a simple and flexible issue-tracking system with command
line, web and email interfaces.  It is based on the winning design from Ka-Ping
Yee in the Software Carpentry "Track" design competition.
Comment 10 Aurelien Bompard 2005-09-05 11:05:44 EDT
Passed:
* RPM name is OK
* Source roundup-0.8.4.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of roundup looks OK
* File list of roundup looks OK
* Seems to work fine
Comment 11 W. Michael Petullo 2005-09-17 19:29:21 EDT
Added roundup package to CVS and requested build.
Comment 12 Christian Iseli 2007-01-02 19:15:35 EST
Changed summary for tracking purposes.

Note You need to log in before you can comment on or make changes to this bug.